let util = require('../../../../utils/util')
let apiArr = require('../../../../api/partner')
let apiArr2 = require('../../../../api/water_filter')
const app = getApp({ allowDefault: true })

// packages/WaterPurifier/pages/upKeep/upKeep.js
const __staticUrl = require('../../../../config/env.js').static_url
Page({

    /**
     * 页面的初始数据
     */
    data: {
        s: app.system.statusBarHeight, // 状态栏高度
        n: (app.menu.top - app.system.statusBarHeight) * 2 + app.menu.height, // 导航栏高度
        t: app.menu.top, // 胶囊局顶部距离
        h: app.menu.height, // 胶囊高度
        admin: "",


        value1: 0,
        value2: 'a',
        show: false,
        MasterList: [],

        searchText: "",//搜索文字
        page_num: 1,
        page_size: 10,
        total: '',
        deviceList: [],
        sendOrders: {}, // 派单订单
        flag: false
    },
    back(){
        wx.reLaunch({
          url: '/packages/partner/pages/partner',
        })
    },
    dispatch(e) {
        let that = this
        that.setData({
            show: true,
            sendOrders: e.currentTarget.dataset.item
        })
    },
    //师傅列表
    getMasterList() {
        let that = this
        wx.showLoading({
            title: '加载中...',
            mask: true
        })

        util.postUrl4(apiArr2.MasterList, {
            page_num: 1,
            page_size: 100,
            dealer_id: wx.getStorageSync('dealer_id')
        }, res => {
            wx.hideLoading()
            res.rows.forEach(item => {
                item.avatar = util.img_url + item.avatar
            })
            that.setData({
                MasterList: res.rows
            })
        })
    },
    //选择师傅
    selectMaster(e) {
        console.log(e);
        let that = this
        let MasterList = that.data.MasterList
        MasterList.forEach(item => {
            item.checked = false
        })
        MasterList[e.currentTarget.dataset.index].checked = true
        that.setData({
            MasterList
        })
    },
    onClose() {
        let that = this
        that.setData({
            show: false
        })
    },
    sure() {
        let that = this
        const { sendOrders, MasterList } = this.data;
        const checkedMaster = MasterList.filter((item) => item.checked)[0];
        console.log('sendOrders', sendOrders);
        console.log('checkedMaster', checkedMaster);
        that.setData({
            show: false
        })
        util.postUrl4(apiArr.UninstallAllocation, {
            repairman_id: checkedMaster.info_id,
            uninstall_id: sendOrders.uninstall_id,
        }, res => {
            if (res.error) {
                wx.showToast({
                    title: '派单失败',
                    icon: 'none',
                })
                return;
            }
            wx.showToast({
                title: res.msg,
                icon: 'none',
                success() {
                    setTimeout(() => {
                        that.setData({
                            flag: false,
                            page_num: 1,
                            orderList: []
                        })
                        that.getOrderList()
                    }, 1500)
                }
            })
        })
    },

    desc(e) {
        let that = this
        wx.navigateTo({
            url: `/packages/partner/pages/OrderMsgInfo/OrderMsgInfo?id=${e.currentTarget.dataset.id}&type=3`,
        })
    },

    ipt1(e) {
        let that = this
        that.setData({
            searchText: e.detail.value,
        })
    },

    search() {
        let that = this
        that.setData({
            page_num: 1,
            flag: false,
            deviceList: []
        })
        that.getNewOrderList()
    },


    //工单列表
    getNewOrderList() {
        let that = this
        wx.showLoading({
            title: '加载中...',
            mask: true,
        })
        //设置加载状态
        util.postUrl4(apiArr.getUninstallList, {
            page_size: that.data.page_size,
            page_num: that.data.page_num,
            search: that.data.searchText,
            dealer_id: that.data.admin.shop_id
        }, res => {
            wx.hideLoading()
            if (res.row) {
                let flag = false
                if (res.row.length == that.data.page_size) {
                    flag = true
                } else {
                    flag = false
                }
                that.setData({
                    flag,
                    deviceList: that.data.deviceList.concat(res.row || []),
                    page_num: that.data.page_num + 1
                })
            }
        })
    },





    /**
     * 生命周期函数--监听页面加载
     */
    onLoad(options) {
        let that = this
        that.setData({
            admin: wx.getStorageSync('admin')
        })
        that.getNewOrderList()
        that.getMasterList()
        wx.showShareMenu({
            withShareTicket: true,
            menus: ['shareAppMessage', 'shareTimeline']
        })
    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady() {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow() {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide() {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload() {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh() {
        let that = this
        that.setData({
            page_num: 1,
            deviceList: [],
            searchText: "",
            flag: false
        })
        that.getNewOrderList()
        wx.stopPullDownRefresh();
    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom() {
        let that = this
        if (that.data.flag) {
            that.getNewOrderList()
        }
    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage() {
        return {
            title: '人人爱净水',  // 分享卡片标题（必填）
            path: '/pages/water_filter/water_filter',  // 用户点击后跳转的路径（可选，默认当前页）
            imageUrl: (__staticUrl + '/share.png')  // 自定义图片（可选，比例建议 5:4）
        }
    },
    onShareTimeline() {
        return {
            title: '人人爱净水', // 自定义标题
            query: '', // 自定义页面路径中的参数
            imageUrl: (__staticUrl + '/share.png') // 自定义分享图片路径
        }
    },
})